Event Markers
Bulk Create Event Markers
Creates up to 500 marker events in a manual collection in a single request.
POST
Creates up to 500 marker events in a manual collection in a single request.
apiKeyAuthheader
x-api-key<token>FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.
idOrSlug*stringcollectionId*stringapplication/json- body
events*array<>Success
application/json- response
[index: integer]?curl -X POST 'https://api.faststats.dev/v0/projects/string/event-marker-collections/string/events/bulk' \ -H 'Content-Type: application/json' \ -d '{ "events": [ { "timestamp": "string", "title": "string" } ]}'Example Response
[ { "id": "string", "projectId": "string", "collectionId": "string", "timestamp": "string", "title": "string", "description": "string", "icon": "string", "emoji": "string", "color": "string", "metadata": {}, "externalId": "string", "createdAt": "string", "updatedAt": "string" }]curl -X POST 'https://api.faststats.dev/v0/projects/string/event-marker-collections/string/events/bulk' \
-H 'Content-Type: application/json' \
-d '{
"events": [
{
"timestamp": "string",
"title": "string"
}
]
}'[
{
"id": "string",
"projectId": "string",
"collectionId": "string",
"timestamp": "string",
"title": "string",
"description": "string",
"icon": "string",
"emoji": "string",
"color": "string",
"metadata": {},
"externalId": "string",
"createdAt": "string",
"updatedAt": "string"
}
]